;; color-mate-mule-fontset.el fontset difinition file for mule

;; Copyright (C) HIROSHI Yokota

;; Author: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Maintainer: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Version: 9.1
;; Keywords: color color-mate
;; Content-Type: text/plain; charset=x-euc-jp

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Color-Mate  Ver.9.1
;;         by $B2#ED(B $BM5;W(B (y5t0964@students.chiba-u.ac.jp)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Coloring mule/emacs to more easier and more fun.
;;   mule / emacs $B$G!"?'$r;HMQ$7$F8+$d$9$$2hLL$K$7$^$9!#(B
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; This file is part of Color-Mate

;; $Id: color-mate-mule-fontset.el,v 9.3 1998/03/10 05:39:20 elca Exp $

(if (and window-system (not noninteractive) (eq window-system 'x)
	 (fboundp 'fontset-string-to-vector))
    (let ((buf (get-buffer-create " color-mate:*temp")))
      (save-excursion
	(set-buffer buf)
	(if (not (fontsetp "14"))
	    (new-fontset "14"
			 (fontset-string-to-vector
			  "-*-fixed-medium-r-*--14-*-*-*-*-*-iso8859-1,
                           -*-*-medium-r-*--14-*-*-*-*-*-gb2312.1980-*,
                           -*-fixed-medium-r-*--14-*-*-*-*-*-jisx0208.1983-*,
                           -*-mincho-medium-r-*--14-*-*-*-*-*-ksc5601.1987-*,
                           -*-fixed-medium-r-*-*-14-*-*-*-*-*-jisx0201.1976-*,
                           -*-*-*-*-*-*-14-*-*-*-*-*-jisx0212.1990-*"
			  (make-vector 128 nil) )))
	(if (not (fontsetp "16"))
	    (new-fontset "16"
			 (fontset-string-to-vector
			  "-*-fixed-medium-r-*--16-*-*-*-*-*-iso8859-1,
                           -*-*-medium-r-*--16-*-*-*-*-*-gb2312.1980-*,
                           -*-fixed-medium-r-*--16-*-*-*-*-*-jisx0208.1983-*,
                           -*-mincho-medium-r-*--16-*-*-*-*-*-ksc5601.1987-*,
                           -*-fixed-medium-r-*-*-16-*-*-*-*-*-jisx0201.1976-*,
                           -*-*-*-*-*-*-16-*-*-*-*-*-jisx0212.1990-*"
			  (make-vector 128 nil) )))
	(if (not (fontsetp "24"))
	    (new-fontset "24"
			 (fontset-string-to-vector
			  "-*-fixed-medium-r-*--24-*-*-*-*-*-iso8859-1,
                           -*-*-medium-r-*--24-*-*-*-*-*-gb2312.1980-*,
                           -*-fixed-medium-r-*--24-*-*-*-*-*-jisx0208.1983-*,
                           -*-mincho-medium-r-*--24-*-*-*-*-*-ksc5601.1987-*,
                           -*-fixed-medium-r-*-*-24-*-*-*-*-*-jisx0201.1976-*,
                           -*-*-*-*-*-*-24-*-*-*-*-*-jisx0212.1990-*"
			  (make-vector 128 nil) ))) )
      (kill-buffer buf)
      ))

;; color-mate-mule-fontset.el ends here
